# Uses of Interface
com.sun.source.tree.EnhancedForLoopTree

Packages that use EnhancedForLoopTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of EnhancedForLoopTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type EnhancedForLoopTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitEnhancedForLoop(EnhancedForLoopTree node, P p)`
Visits an EnhancedForLoopTree node.

## Uses of EnhancedForLoopTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type EnhancedForLoopTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitEnhancedForLoop(EnhancedForLoopTree node, P p)`
Visits an EnhancedForLoopTree node.
`R`
TreeScanner.`visitEnhancedForLoop(EnhancedForLoopTree node, P p)`
Visits an EnhancedForLoopTree node.